unit Utranspclock;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls, LayeredForm;

type
  TForm1 = class(TForm)
    PopupMenu1: TPopupMenu;
    Close1: TMenuItem;
    About1: TMenuItem;
    Label1: TLabel;
    Timer1: TTimer;
    LayeredForm1: TLayeredForm;
    Color1: TMenuItem;
    ColorDialog1: TColorDialog;
    procedure About1Click(Sender: TObject);
    procedure Close1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Color1Click(Sender: TObject);
  private
    { Private declarations }
    procedure WMNCHitTest(var Msg: TWMNCHitTest); message wm_NCHitTest;

  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.About1Click(Sender: TObject);
begin
 ShowMessage('Transparent clock for Windows 2000  TMS software');
end;

procedure TForm1.Close1Click(Sender: TObject);
begin
 self.Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
 verinfo:tosversioninfo;

begin
 label1.caption:=timetostr(now);
 verinfo.dwOSVersionInfoSize:=sizeof(tosversioninfo);
 getversionex(verinfo);
 if (verinfo.dwMajorVersion<5) then
  showmessage('This application will only work as expected on Windows 2000');
 setwindowpos(self.handle,HWND_TOPMOST,self.left,self.top,self.width,self.height, SWP_SHOWWINDOW);  
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
 label1.caption:=timetostr(now);
end;

procedure TForm1.WMNCHitTest(var Msg: TWMNCHitTest);
var
 res:integer;
begin
 inherited;

 if (GetAsyncKeyState(VK_LBUTTON)<>0) then
  begin
  if  Msg.Result = htClient then Msg.Result := htCaption;
  end;

end;

procedure TForm1.Color1Click(Sender: TObject);
begin
 colordialog1.color:=label1.font.color;
 if colordialog1.execute then label1.font.color:=colordialog1.color;
end;

end.
